#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-5Z3yJSVdf20IFBn0SV4wcg-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-5Z3yJSVdf20IFBn0SV4wcg-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  867b8360212bd4810aeb226a2044fbf8
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-5Z3yJSVdf20IFBn0SV4wcg-tasty-sugar-internal

depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-Kn5htluwnZ3AomaBXX9KQm filepath-1.4.2.2
    kvitable-1.0.3.0-HkKsKoU3hGA4tzB3O0S19P
    logict-0.7.1.0-1UNcE8a4z2tBDIWu3PK7f0
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA mtl-2.2.2
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-6zcUql76AN533j56n6Lf6I text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-4cURuGjboFEKxb5uxSNK4v
key:                  tasty-sugar-2.1.0.0-4cURuGjboFEKxb5uxSNK4v
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  c24a8dcd6795bb866c28dae328e5d831
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-4cURuGjboFEKxb5uxSNK4v
depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-Kn5htluwnZ3AomaBXX9KQm filepath-1.4.2.2
    logict-0.7.1.0-1UNcE8a4z2tBDIWu3PK7f0
    optparse-applicative-0.17.1.0-HdCEVmKoTQ5GAljNy1HSZt
    prettyprinter-1.7.1-6zcUql76AN533j56n6Lf6I
    tasty-1.4.3-4P9niUw2HXJLAdSnzQ3qYx
    tasty-sugar-2.1.0.0-5Z3yJSVdf20IFBn0SV4wcg-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

